function calibrationExample()
%SPXSMILE Plot the volatility smile for SPX options
%  and fit a jump diffusion model to the data.

[strike,T,S0,r,mid] = googOptionData();

ivol = zeros( length( strike ),1);
for i=1:length(strike)
    ivol(i) = impliedVolatility( strike(i),T, S0, r, mid(i) );
end    

[sigma,lambda,J] = calibrateJumpDiffusion();

jumpIvol = zeros( length( strike ),1);
for i=1:length(strike)
    jumpPrice = jumpDiffusionPrice( strike(i),T, S0, r, sigma, lambda, J );
    jumpIvol(i) = impliedVolatility( strike(i),T, S0, r, jumpPrice );
end    

scatter( strike, ivol );
hold on;
plot( strike, jumpIvol );
hold off;
xlabel('strike');
ylabel('volatlity');
legend('Market data smile','Jump diffusion smile');


end

