function [ expectedUtility ] = computeUtilityByMonteCarlo( ...
    Q, P, S0, mu, sigma, T, r, nPaths )
%COMPUTEUTILITYBYMONTECARLO The notation for this question comes from
% "Bonus Question 3"

% Familiar code for simulating stock prices, made extra simple
% by applying to only one time step
epsilon = randn(nPaths,1);
z0 = log(S0);
zT = z0 + (mu - 0.5*sigma^2)*T + sigma*sqrt(T)*epsilon;

ST = exp(zT);
utility = log( (P-Q)*exp(r*T) + Q/S0*ST );
expectedUtility = mean(utility);

end

