%MARKOWITZOPTIMIZE Given a desired return r
%   and expected return mu for each component of the portfolio
%   and covariance matrix sigma
%   find the portfolio of minimum variance
function [ ret, variance, w ] = markowitzOptimizeRet( ...
    r, mu, sigma )
warning('off','optim:quadprog:WillRunDiffAlg');


H = sigma;
n = size(sigma,1);
f = zeros(n,1);
Aeq = [ ones(1,n); mu];
beq = [1; r];

options = optimset('quadprog');
options = optimset(options,'Display','off');
[w,~,exitFlag]=...
    quadprog(H,f,[],[],Aeq,beq,[],[],[],options);
assert(exitFlag>0);
ret = mu * w;
variance = w' * sigma * w;

end

