function testSimulateDeltaHedging()
%  When delta hedging we expect to break even on average
rng( 'default');

K = 110;
T = 0.5;
S0 = 100;
sigma = 0.2;
mu = 0.05;
r = 0.03;

nPaths = 10000;
nSteps = 1000;

[charge,~] = blackScholesCallPrice(K,T,S0,r,sigma);

finalBalances = simulateHedging(charge,K,T,S0,r,mu,sigma,nPaths,nSteps, @chooseDeltaHedge);
assertApproxEqual( mean(finalBalances)/charge, 0.0, 0.01);

end

